﻿#region Copyright Syncfusion Inc. 2001 - 2012
// Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ClipboardToGrid.Models;
using Syncfusion.Mvc.Grid;
using System.Web.Script.Serialization;

namespace ClipboardToGrid.Controllers
{
    public class HomeController : Controller
    {
public ActionResult Index()
{
    // Passing Data to View
    return View(EmployeeRepository.GetEmployees());
}

[HttpPost]
public ActionResult Index(PagingParams args, string pastedData)
{
    // Get data from repository
    var data = EmployeeRepository.GetEmployees();

    if (pastedData != null)
    {
        // parsing pasted data to Actual type
        var parsed = (List<Employee>)new JavaScriptSerializer()
                        .Deserialize(pastedData, typeof(List<Employee>));

        // Updating those the Database
        EmployeeRepository.AddRange(parsed);
    }

    // Returning GridAction
    return data.GridActions<Employee>();
}

        public ActionResult About()
        {
            return View();
        }
    }
}
